unit uRequestManagerFMX;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, IPPeerClient,
  IPPeerServer, System.Tether.Manager, System.Tether.AppProfile,
  FMX.Controls.Presentation, FMX.StdCtrls, FMX.Layouts, FMX.ListBox
  , IdBaseComponent, IdComponent, IdTCPConnection, IdTCPClient, IdHTTP
  ;

type
  TForm1 = class(TForm)
    lbRequests: TListBox;
    Label1: TLabel;
    IdHTTP1: TIdHTTP;
    TetheringManager1: TTetheringManager;
    TetheringAppProfile1: TTetheringAppProfile;
    procedure TetheringAppProfile1ResourceReceived(const Sender: TObject;
      const AResource: TRemoteResource);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}
{$R *.SmXhdpiPh.fmx ANDROID}
{$R *.Windows.fmx MSWINDOWS}

procedure TForm1.TetheringAppProfile1ResourceReceived(const Sender: TObject;
  const AResource: TRemoteResource);
var
  lURL: string;
  SS: TStringStream;
begin
  if AResource.Hint = 'URL' then
  begin
    lURL := AResource.Value.AsString;
    SS := TStringStream.Create;
    try
      idHTTP1.Get(lURL, SS);
      SS.Position := 0;
      if not TetheringAppProfile1.SendStream(TetheringManager1.RemoteProfiles.Items[0]
                                      , 'Response'
                                      , SS) then
        raise Exception.Create('cannot send');
      lbRequests.Items.Append(lURL);
    finally
      SS.Free;
    end;
  end;
end;

end.
